> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List carts

> List carts

### Query parameters

<ParamField query="customer_id" type="string" />

<ParamField query="customer_email" type="string" />

<ParamField query="status" type="string">
  One of `active`, `ready_for_payment`, `payment_pending`, `completed`,
  `abandoned`, `expired`, `cancelled`.
</ParamField>

<ParamField query="limit" type="integer (int32)" />

<ParamField query="offset" type="integer (int32)" />

### Responses

<ResponseField name="200" type="CartListResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/carts' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "carts": [
      {
        "cart_number": "string",
        "created_at": "string",
        "currency": "string",
        "customer_email": null,
        "customer_id": null,
        "discount_amount": "string",
        "grand_total": "string",
        "id": "string",
        "items": [],
        "order_id": null,
        "order_number": null,
        "payment_method": null,
        "shipping_amount": "string",
        "shipping_method": null,
        "status": "string",
        "subtotal": "string",
        "tax_amount": "string"
      }
    ],
    "total": 1
  }
  ```
</ResponseExample>
